[V11.3 – Aktualizacja 10 luty 2022]
1-2=Powiększono bazę danych do usuwania ponad 2000 upartych programów
2-2=Ulepszono kondycję oprogramowania, aby usunąć więcej pozostałości po odinstalowaniu
3-2=Zoptymalizowano algorytmy w celu dokładniejszego dopasowania uprawnień oprogramowania w oprogramowaniu Software Health
4-3=Naprawiono awarię aktualizacji w Discord, Irfanview i WinZip
5-3=Naprawiono sporadyczne niepowodzenie wykrywania wtyczek w niektórych wersjach Firefoksa
6-3=Naprawiono wszystkie znane błędy

[V11.2 – Aktualizacja 20 grudnia 2021]
1-1=Dodano obsługę instalowania i odinstalowywania aplikacji na Androida za pośrednictwem podsystemu Windows dla systemu Android (WSA) w systemie Windows11
2-1=Nowa obsługa kojarzenia plików APK z IObit Uninstaller dla łatwiejszej instalacji poprzez dwukrotne kliknięcie plików APK
3-2=Ulepszono algorytmy dla dokładniejszego wykrywania resztek
4-2=Zoptymalizowano proces usuwania pozostałości, aby powiadomić użytkowników przed usunięciem ważnych danych osobowych
5-2=optymalizowano monitor instalacji dla bardziej wszechstronnego i dokładnego monitorowania
6-2=Powiększono bazę danych, aby usunąć 300 bardziej upartych programów
7-1=Dodano nowy język: bułgarski
8-3=Naprawiono wszystkie znane błędy

[V11.1 – Aktualizacja 18 Październik 2021]
1-2=Ulepszone algorytmy skanowania resztek, aby znaleźć i wyczyścić więcej resztek
2-1=Zdrowie oprogramowania obsługuje teraz wyłączanie uprawnień zapory
3-2=Więcej konfigurowalnych opcji zdrowia oprogramowania
4-1=Dodano obsługę dostosowywania rzadko używanych programów i dużych programów
5-2=Powiększona baza danych, aby usunąć 500 bardziej upartych programów
6-1=Obsługiwane odświeżanie F5
7-1=Dodano nowy język: łotewski
8-3=Naprawiono wszystkie znane błędy

[V11.0 – Aktualizacja 25 Sierpień 2021]
1-1=<a>Zupełnie nowy Stan oprogramowania</a> pomaga zarządzać uprawnieniami programów, blokować wyskakujące powiadomienia, czyścić niepotrzebne pliki instalacyjne oraz usuwać złośliwe oprogramowanie i rozszerzenia przeglądarki
2-2=<a>Potężniejszy silnik dezinstalacji</a> dokładniej eliminuje resztkowe pliki dzięki zaawansowanym algorytmom skanowania i czyszczenia
3-2=<a>Bardziej dogłębny Monitor instalacji</a> może rejestrować więcej elementów (w tym startupów), utworzonych podczas procesu instalacji w celu przyszłej dokładnej dezinstalacji
4-2=<a>50% większa baza danych</a> obsługuje aktualizację bardziej popularnych programów, w tym AnyDesk, Calibre, Discord, LibreOffice i qBittorrent
5-2=<a>Baza danych unikalnego Usuwania uporczywych programów</a>obsługuje usuwanie ponad 1000 upartych programów
6-2=<a>Wymuszona dezinstalacja+</a> może łatwo odinstalować programy, gdy brakuje rejestrów odinstalowywania
7-1=<a>Nowo dodana ocena aplikacji Windows</a> pomaga użytkownikom dowiedzieć się więcej o usuwaniu niechcianych aplikacji Windows
8-2=<a>Ulepszony proces usuwania</a> rozszerzeń przeglądarki
9-2=<a>Lepszy interfejs</a> dla większej wygody użytkownika
10-2=<a>Dwie skórki: </a>ciemna i jasna
11-2=<a>Obsługuje 37 języków</a>
12-1=<a>W pełni obsługiwano system Windows 11</a>

[Lan]
1=New
2=Ulepszono
3=Naprawiano Błąd